Submit an application
curl --request POST \
--url https://api.circle.com/v1/onboarding/partner/applications/{applicationId}/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Idempotency-Key: <x-idempotency-key>' \
--data '
{
"endUserAgreesToTermsOfService": true,
"endUserIpAddress": "<string>",
"certificationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.circle.com/v1/onboarding/partner/applications/{applicationId}/submit"
payload = {
"endUserAgreesToTermsOfService": True,
"endUserIpAddress": "<string>",
"certificationIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"X-Idempotency-Key": "<x-idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Idempotency-Key': '<x-idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
endUserAgreesToTermsOfService: true,
endUserIpAddress: '<string>',
certificationIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.circle.com/v1/onboarding/partner/applications/{applicationId}/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"applicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>"
}Submit an application
POST
/
v1
/
onboarding
/
partner
/
applications
/
{applicationId}
/
submit
Submit an application
Authorizations
Bearer token obtained via Circle key exchange
Headers
Client-generated UUID used to safely retry POST requests. If the same key is submitted twice, the original response is returned without re-executing the operation. Must be a valid UUID v4 (e.g. 550e8400-e29b-41d4-a716-446655440099).
Path Parameters
Application UUID
Body
application/json
Was this page helpful?
Get the JSON Schema (draft 2020-12) for an application's template
Previous
List documents for an application
Next
⌘I